hpcttrigger(1)

NAME
hpcttrigger - High-Performance Connectivity Tracer (HiPerConTracer) Trigger Tool

SYNOPSIS
hpcttrigger [-P|--ping] [-T|--traceroute] [-L|--loglevel level] [-q|--quiet] [-v|--verbose] [-U|--user user|uid] [-S|--source address[,traffic_class[,...]]] [-D|--destination address] [--tracerouteinterval milliseconds] [--tracerouteduration milliseconds] [--tracerouterounds rounds] [--tracerouteinitialmaxttl value] [--traceroutefinalmaxttl value] [--tracerouteincrementmaxttl value] [--pinginterval milliseconds] [--pingexpiration milliseconds] [--pingttl value] [-R|--resultsdirectory directory] [--resultstransactionlength seconds] [--pingtriggerage seconds] [--pingtriggerlength payload_length] [--pingsbeforequeuing count]

DESCRIPTION
hpcttrigger is a tool to trigger HiPerConTracer runs, based on observed incoming "Ping" packets. Once the given number of such packets with a given size has been observed from a source, a Ping or Traceroute is triggered to the corresponding address.

ARGUMENTS
The following arguments may be provided:

--pingtriggerage seconds
    Sets the maximum number of seconds between two trigger "Pings" (default: 300).

--pingtriggerlength payload_length
    Sets the "Ping" payload length to trigger HiPerConTracer (default: 53).

--pingsbeforequeuing count
    Sets the number of observed "Ping" packets before triggering HiPerConTracer (default: 3).
See the manual page of HiPerConTracer for the other arguments and the output format.

EXAMPLES

hpcttrigger --source 10.1.1.51 --traceroute --verbose --pingsbeforequeuing 2 --pingtriggerlength 88

hpcttrigger --source 10.1.1.51 --pingtriggerage 1800 --ping --verbose

hpcttrigger --source=10.1.1.51 --traceroute --resultsdirectory=/tmp/results --resultstransactionlength=60

hpcttrigger --source=172.16.1.2,BE,EF --source=172.17.1.2,BE,AF11,AF21 --pingtriggerage=1800 --ping --verbose

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://thomas.dreibholz@gmail.com